hu.akarnokd.rxjava2.operators

## Interface BasicEmitter<T>

Type Parameters:
  `T` - the value type

    public interface BasicEmitter<T>

Abstraction over a Subscriber.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doComplete()`
`void` `doError(java.lang.Throwable t)`
`void` `doNext(T t)`

### Method Detail

#### doNext

    void doNext(T t)

#### doError

    void doError(java.lang.Throwable t)

#### doComplete

    void doComplete()